ReferenceCompanies
Get a company card
Returns one loyalty or customer card of the company. 404 when `cardId` does not belong to `companyId`. Requires `Permissions.Companies.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32cardId*integerFormat
int32application/json- response
barcode?|Length
length <= 255companyId?|Format
int32discount?|Format
decimaldiscountAmount?|Format
decimaldiscountGroupId?|Format
int32guid?|Format
guidid?|Format
int32isBillingEnabled?boolean|nullisInvalid?boolean|nulllastModify?|Format
date-timename?|Length
length <= 80note?string|nullvalidFrom?|Format
date-timevalidTo?|Format
date-timecurl -X GET 'https://<your-instance>/api/companies/0/cards/0' \ -H 'Authorization: Bearer <access-token>'{ "barcode": "string", "companyId": 0, "discount": 0, "discountAmount": 0, "discountGroupId": 0, "guid": "string", "id": 0, "isBillingEnabled": true, "isInvalid": true, "lastModify": "2019-08-24T14:15:22Z", "name": "string", "note": "string", "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z"}